Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class MessageInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.AbstractMessageContainer
              org.apache.cxf.service.model.MessageInfo

All Implemented Interfaces:
  Extensible

    public class MessageInfo

extends AbstractMessageContainer

Field Summary

Fields inherited from class org.apache.cxf.service.model.AbstractMessageContainer
`mName`

Constructor Summary
`MessageInfo(OperationInfo op, javax.xml.namespace.QName nm)`

Method Summary
`java.util.Map<javax.xml.namespace.QName,MessagePartInfo>` | `getMessagePartsMap()`
`java.util.List<MessagePartInfo>` | `getOrderedParts(java.util.List<java.lang.String> order)`
`void` | `setName(javax.xml.namespace.QName qn)`

Methods inherited from class org.apache.cxf.service.model.AbstractMessageContainer
`addMessagePart, addMessagePart, addMessagePart, getMessagePart, getMessagePart, getMessagePartByIndex, getMessagePartIndex, getMessagePartQName, getMessageParts, getName, getOperation, removeMessagePart, size`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensionAttribute, addExtensor, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperty, getProperty, getTraversedExtensor, hasProperty, setExtensionAttributes, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageInfo

    public MessageInfo(OperationInfo op,
                       javax.xml.namespace.QName nm)

Method Detail

### setName

    public void setName(javax.xml.namespace.QName qn)

### getMessagePartsMap

    public java.util.Map<javax.xml.namespace.QName,MessagePartInfo> getMessagePartsMap()

### getOrderedParts

    public java.util.List<MessagePartInfo> getOrderedParts(java.util.List<java.lang.String> order)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF